commit:     b49309241e19012dbe0e96927c931690af3ac7c6
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 20 18:05:52 2025 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Jun 20 18:06:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4930924

gui-apps/mako: add 1.10.0

Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 gui-apps/mako/Manifest           |  1 +
 gui-apps/mako/mako-1.10.0.ebuild | 70 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/gui-apps/mako/Manifest b/gui-apps/mako/Manifest
index 2255028c5408..42a472510d76 100644
--- a/gui-apps/mako/Manifest
+++ b/gui-apps/mako/Manifest
@@ -1,2 +1,3 @@
+DIST mako-1.10.0.tar.gz 66644 BLAKE2B 
35d43b9d7ec85fd2abcc2473efc7e6819a5074830558c637656c679c115e89fac8918427bf4e190d3e6c23527d22ff0d101df2c05c8340fe76eedfda3abcec47
 SHA512 
5621117377505468bf1e8d4eecc2dd37748acfc62d578c992e12a13c78bf681cf9d65d1159fd1fb236ec7e449a8115a170659055f2fa66f3c32d9a72cc03f640
 DIST mako-1.8.0.tar.gz 63143 BLAKE2B 
da39c1d2a1748649432d2760831cee7c9b135114b8e36c48a87900d9a3610fc5103c15f2ed511344d84a3142aa76ddd3680177318d0e096ad0574952632dc0b7
 SHA512 
d187c00296f3c3d4fb2c5964a95e1ac6ab74deb7dc27633d8e8301d60d90e4dc92b0ee66953670c42a3c08160536a4126ee747214c4ea05a30a80fd5e2004ad0
 DIST mako-1.9.0.tar.gz 63415 BLAKE2B 
932f045cede44f79e4039a40118cdd4283413f86524d74703e84a3bf999af58d9ee605054480d369a33f81c7fcaed60415cb203fd32a22333adc1e88876f6a33
 SHA512 
da9c89dc698e44100960c9911c9da59e6f3dd5e95c8c0fbc489c9597dd614bb46074170b9621eba6ff692eff140f7be11ecc9da1a285b8e5c0975b7b53daabee

diff --git a/gui-apps/mako/mako-1.10.0.ebuild b/gui-apps/mako/mako-1.10.0.ebuild
new file mode 100644
index 000000000000..beaf925261af
--- /dev/null
+++ b/gui-apps/mako/mako-1.10.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson systemd
+
+DESCRIPTION="A lightweight notification daemon for Wayland. Works on Sway"
+HOMEPAGE="https://github.com/emersion/mako";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/emersion/${PN}.git";
+else
+       SRC_URI="https://github.com/emersion/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="elogind +icons systemd"
+
+RDEPEND="
+       dev-libs/wayland
+       x11-libs/pango
+       x11-libs/cairo
+       || (
+               systemd? ( sys-apps/systemd )
+               elogind? ( sys-auth/elogind )
+               sys-libs/basu
+       )
+       sys-apps/dbus
+       icons? (
+               x11-libs/gdk-pixbuf
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       >=dev-libs/wayland-protocols-1.32
+"
+BDEPEND="
+       app-text/scdoc
+       dev-util/wayland-scanner
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local emesonargs=(
+               -Dicons=$(usex icons enabled disabled)
+               -Dzsh-completions=true
+               -Dfish-completions=true
+               -Dbash-completions=true
+       )
+
+       if use systemd ; then
+               emesonargs+=( -Dsd-bus-provider=libsystemd )
+       elif use elogind ; then
+               emesonargs+=( -Dsd-bus-provider=libelogind )
+       else
+               emesonargs+=( -Dsd-bus-provider=basu )
+       fi
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       systemd_douserunit contrib/systemd/mako.service
+}

Reply via email to